Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Single User Rebate Data (KEYED)

Used by API affiliates to query contract rebate data of a single user within a given time range.

Request URL

GET https://cloud-api.wooxpro.com/contract/private/affiliate/rebate-user

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl https://cloud-api.wooxpro.com/contract/private/affiliate/rebate-user?cid=1000000&start_time=1000000000&end_time=2000000000
FieldTypeRequiredDescription
cidLongYesUser CID to query (Supports all agents and directly/indirectly invited users under your name.)
start_timeLongYesStart timestamp of data query (in second)
end_timeLongYesEnd timestamp of data query (in second)
Note
  • If the time range is filled in, end_time must be greater than the value of start_time, and the maximum query interval of start_time and end_time is 60 days

Response Data

Response
{
  "code": "1000",
  "data": {
    "trading_vol_total": "483628.63308",
    "trading_fee": "287.910914",
    "back_rate": "90.00000000",
    "trading_vol": "483628.63308",
    "rebate": "259.1198226",
    "trading_fee_total": "287.910914",
    "rebate_total": "259.1198226",
    "cid": 166668888
  },
  "success": true,
  "requestId": "5f7fca16fbee4f74b3a9896d93f2c104",
  "message": "OK"
}
FieldTypeDescription
cidLongUser CID
back_rateStringUser rebate rate
trading_vol_totalStringUser total trading volume
trading_fee_totalStringUser total trading fee
rebate_totalStringUser total rebate
trading_volStringUser trading volume
trading_feeStringUser trading fee
rebateStringUser rebate